import os
import json
# os.environ["state"] = "dev"
# os.environ["config"] = '{\"TZ\": \"Asia/Kolkata\", \"MONGO_URI\": \"mongodb://192.168.3.220:2717\", ' \
#                        '\"MONGO_DATABASE\": \"ilens_ai\", \"MONGO_COLLECTION\": \"janusDeployment\", \"MONGO_KEY\": ' \
#                        '\"deploymentId\", \"MONGO_VALUE\": \"Monitoring_Camera_7b861450\", \"MONGO_COLL\": ' \
#                        '\"serviceConfiguration\", \"MONGO_DB\": \"ilens_ai\"}'
from edge_engine.edge_processor import ExecutePipeline
from edge_engine.edge_processor import Pubs
from edge_engine.common.config import EDGE_CONFIG
# EDGE_CONFIG = json.loads(open('Edge_Config.json','r').read())
from scripts.core.people_monitor import PeopleMonitor

if __name__ == '__main__':
    pubs = Pubs()
    mod = PeopleMonitor(config=EDGE_CONFIG,
                        pubs=pubs,
                        device_id=EDGE_CONFIG['deviceId'])
    ex = ExecutePipeline(mod)
    ex.run_model()
